## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/google/trillian
%global goipath         github.com/google/trillian
Version:                1.4.2

%gometa

%global common_description %{expand:
Trillian is an implementation of the concepts described in the Verifiable Data
Structures white paper, which in turn is an extension and generalisation of the
ideas which underpin Certificate Transparency.

Trillian implements a Merkle tree whose contents are served from a data storage
layer, to allow scalability to extremely large trees.}

%global golicenses      LICENSE
%global godocs          docs examples CONTRIBUTING.md AUTHORS CHANGELOG.md\\\
                        CONTRIBUTORS README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Transparent, highly scalable and cryptographically verifiable data store

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

sed -i "s|github.com/go-redis/redis|gopkg.in/redis.v6|" $(find . -name "*.go")

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# client/rpcflags, cmd/get_tree_public_key, storage/testdb, quota/redis/redistb: needs network
%gocheck -d client/rpcflags \
         -t cmd \
         -d server \
         -d storage/testdb \
         -d util/election \
         -d quota/redis/redistb \
         -d crypto
%endif

%gopkgfiles

%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.4.2-1
- Fix dep on etcd/server/etcdserver/api/v3rpc

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.4.0-5
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-2
- Add missing BR

* Fri Sep 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-1
- Update to 1.4.0 Close: rhbz#2006292, rhbz#2006278, rhbz#2006271,
  rhbz#2006263

* Fri Sep 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.13-4
- Remove alt import path for apache beam

* Sat Sep 18 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.13-3
- Fix typo

* Sat Sep 18 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.13-2
- Add missing BR

* Sat Sep 18 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.13-1
- Update to 1.3.13 Close: rhbz#1929401, rhbz#1996436, rhbz#1996414,
  rhbz#2005301

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 21:59:09 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.11-1
- Update to 1.3.11

* Mon Aug 10 01:16:14 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.10-1
- Update to 1.3.10

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 07 00:14:00 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.1-1
- Initial package

